# QSPIO-TNBC: Quantitative Systems Pharmacology Platform for Immuno-Oncology in Triple-Negative Breast Cancer 

This repository contains the latest QSP platform for TNBC/NSCLC developed by the Popel Systems Biology Laboratory https://popellab.johnshopkins.edu/

## Requirements
- Model simulations and analyses were performed using MATLAB R2020b 
- SimBiology Toolbox (Model Structure and Simulation)
- Symbolic Math Toolbox (Units and Dimensional Analysis / Model Initialization)
- Statistics and Machine Learning Toolbox (Optional: Sensitivity Analysis)
- Bioinformatics Toolbox (Optional: t-SNE Analysis)

## Publications
- H. Wang, C. Zhao, C. A. Santa-Maria, L. A. Emens, A. S. Popel, Dynamics of tumor-associated macrophages in a quantitative systems pharmacology model of immunotherapy in triple-negative breast cancer. iScience 25(8), 104702 (2022).

- H. Wang, H. Ma, R. J. Sove, L. A. Emens, A. S. Popel, Quantitative systems pharmacology model predictions for efficacy of atezolizumab and nab-paclitaxel in triple-negative breast cancer. J Immunother Cancer 9(2), e002100 (2021).

- H. Ma, H. Wang, R. J. Sove, J. Wang, C. Giragossian, A. S. Popel, Combination therapy with T cell engager and PD-L1 blockade enhances the antitumor potency of T cells as predicted by a QSP model. J Immunother Cancer 8(2), e001141 (2020).

- H. Ma, H. Wang, R. J. Sove, M. Jafarnejad, C. H. Tsai, J. Wang, C. Giragossian, A. S. Popel, A Quantitative Systems Pharmacology Model of T Cell Engager Applied to Solid Tumor. AAPS J 22, 85 (2020).

- H. Wang, R. J. Sove, M. Jafarnejad, S. Rahmeh, E. M. Jaffee, V. Stearns, E. T. R. Torres, R. M. Connolly, A. S. Popel, Conducting a Virtual Clinical Trial in HER2-Negative Breast Cancer Using a Quantitative Systems Pharmacology Model With an Epigenetic Modulator and Immune Checkpoint Inhibitors. Front Bioeng Biotechnol 8, 141 (2020).

- R. J. Sove, M. Jafarnejad, C. Zhao, H. Wang, H. Ma, A. S. Popel, QSP-IO: A quantitative systems pharmacology toolbox for mechanistic multi-scale modeling for immuno-oncology applications. CPT Pharmacometrics Syst Pharmacol 9(9), 484-497 (2020).

- M. Jafarnejad, C. Gong, E. Gabrielson, I. H. Bartelink, P. Vicini, B. Wang, R. Narwal, L. Roskos, A. S. Popel, A Computational Model of Neoadjuvant PD-1 Inhibition in Non-Small Cell Lung Cancer. AAPS J 21, 79 (2019).

- O. Milberg, C. Gong, M. Jafarnejad, I. H. Bartelink, B. Wang, P. Vicini, R. Narwal, L. Roskos, A. S. Popel, A QSP Model for Predicting Clinical Responses to Monotherapy, Combination and Sequential Therapy Following CTLA-4, PD-1, and PD-L1 Checkpoint Blockade. Sci Rep 9, 11286 (2019).

- H. Wang, O. Milberg, I. H. Bartelink, P. Vicini, B. Wang, R. Narwal, L. Roskos, C. A. Santa-Maria, A. S. Popel, In silico simulation of a clinical trial with anti-CTLA-4 and anti-PD-L1 immunotherapies in metastatic breast cancer using a systems pharmacology model. R Soc Open Sci 6, 190366 (2019).
